/*
 * 
 * Created on 24 dec. 2005
 *
 */
package animatlab.kodamat.core.trees;

/**
 * 
 * Policy used to clone/convert a tree
 * 
 * @param <T>
 *          the type of data to clone
 * @author Thomas Degris
 * 
 */
public interface ClonePolicy<T> {
	/**
	 * 
	 * Clone atomic data
	 * 
	 * @param data
	 *          the leaf with the data to clone
	 * 
	 * @return a clone of the data
	 * 
	 */
	public T cloneData(T data);
}
