/*
 * 
 * Created on Jan 11, 2006
 *
 */
package animatlab.kodamat.core.trees;

/**
 * 
 * Policy used to compare the leaves of two SpiSviTree
 * 
 * @param <T>
 *          type of the trees to compare
 * 
 */
public interface ComparePolicy<T> {
	/**
	 * 
	 * Compare a node with another node
	 * 
	 * @param node01
	 *          the first node to compare
	 * @param node02
	 *          the second node to compare
	 * 
	 */
	void compare(Leaf<T> node01, Leaf<T> node02);
}
