package animatlab.kodamat.core.utils;

/**
 * 
 * Interface to define a inductionTreePrototype, meaning an instance able to
 * create new empty instance of itself
 * 
 * @author Thomas Degris
 * 
 */
public interface Prototype {
	/**
	 * 
	 * Create a new instance of this inductionTreePrototype
	 * 
	 * @return the new instance
	 * 
	 */
	Prototype newInstance();
}
