/*
 * 
 * Created on 24 dec. 2005
 *
 */
package animatlab.kodamat.core.io;

/**
 * 
 * Simple atomic data container
 * 
 * @param <T>
 *          the type of data contained by this type
 * 
 * @author Thomas Degris
 * 
 */
public interface DataContainer<T> {
	/**
	 * 
	 * Set the data associated to this node
	 * 
	 * @param data
	 *          the data to associate with this node
	 * 
	 */
	public void set(T data);

	/**
	 * 
	 * @return the data associated with this node
	 * 
	 */
	public T get();
}
