package animatlab.kodamat.reinforcementlearning.planning.guestrin.linearprogramming;

/**
 * 
 * LP variable assigned to a constant
 * 
 * @author Thomas Degris
 * 
 */
public class LPConstant extends LPVariable {
	/**
	 * 
	 * Constructor
	 * 
	 * @param value
	 *          value of the constant
	 * 
	 */
	public LPConstant(double value) {
		super();
		setSolution(value);
	}

	/**
	 * @see animatlab.kodamat.reinforcementlearning.planning.guestrin.linearprogramming.LPVariable#toLPString()
	 */
	@Override
	public String toLPString() {
		return String.valueOf(getSolution());
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.valueOf(getSolution());
	}
}
